"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chainLoaderConfiguration = void 0;
function chainLoaderConfiguration(config, options) {
    const defaults = {
        appPath: '/',
        platform: null,
        useDataBinding: true
    };
    // Apply user-defined options on top of defaults
    options = Object.assign(defaults, options);
    config.module.rules.delete('xml');
    // Update HMR supported extensions
    config.module.rules.has('hmr-core') && config.module.rules.get('hmr-core').test(/\.(js|ts|xml)$/);
    config.module
        .rule('xml')
        .test(/\.xml$/i)
        .use('@nativescript-community/xml-ui-loader')
        .loader('@nativescript-community/xml-ui-loader')
        .options(options);
    config.plugin('DefinePlugin').tap(args => {
        Object.assign(args[0], {
            '__UI_USE_XML_PARSER__': false,
            '__UI_USE_EXTERNAL_RENDERER__': true
        });
        return args;
    });
}
exports.chainLoaderConfiguration = chainLoaderConfiguration;
//# sourceMappingURL=index.js.map